Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.util
Class TurbineXmlConfig

    java.lang.Object
      org.apache.turbine.util.TurbineConfig
          org.apache.turbine.util.TurbineXmlConfig

All Implemented Interfaces:
  javax.servlet.ServletConfig, javax.servlet.ServletContext, org.apache.avalon.framework.activity.Disposable, org.apache.avalon.framework.activity.Initializable

    public class TurbineXmlConfig

extends TurbineConfig

A class used for initialization of Turbine without a servlet container.

If you need to use Turbine outside of a servlet container, you can use this class for initialization of the Turbine servlet.

> `

>      TurbineXmlConfig config = new TurbineXmlConfig(".", "conf/TurbineResources.properties");

> `

All paths referenced in TurbineResources.properties and the path to the properties file itself (the second argument) will be resolved relative to the directory given as the first argument of the constructor, here - the directory where application was started. Don't worry about discarding the references to objects created above. They are not needed, once everything is initialized.

In order to initialize the Services Framework outside of the Turbine Servlet, you need to call the `init()` method. By default, this will initialize the Resource and Logging Services and any other services you have defined in your TurbineResources.properties file.

Version:
  $Id: TurbineXmlConfig.java 1073174 2011-02-21 22:18:45Z tv $
Author:
  Eric Pugh

Field Summary

Fields inherited from class org.apache.turbine.util.TurbineConfig
`attributes, CONFIGURATION_PATH_KEY, initParams, PROPERTIES_PATH_DEFAULT, PROPERTIES_PATH_KEY, root`

Constructor Summary
`TurbineXmlConfig(String path, Map<String,Object> attributes, Map<String,String> initParams)` Constructs a new TurbineXmlConfig.
`TurbineXmlConfig(String path, Map<String,String> initParams)`
`TurbineXmlConfig(String path, String config)` Constructs a TurbineXmlConfig.

Method Summary

Methods inherited from class org.apache.turbine.util.TurbineConfig
`dispose, getAttribute, getAttributeNames, getContext, getContextPath, getInitParameter, getInitParameterNames, getMajorVersion, getMimeType, getMinorVersion, getNamedDispatcher, getRealPath, getRequestDispatcher, getResource, getResourceAsStream, getResourcePaths, getServerInfo, getServlet, getServletContext, getServletContextName, getServletName, getServletNames, getServlets, getTurbine, init, initialize, log, log, log, removeAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TurbineXmlConfig

    public TurbineXmlConfig(String path,
                            Map<String,Object> attributes,
                            Map<String,String> initParams)

  Constructs a new TurbineXmlConfig. This is the general form of the constructor. You can provide a path to search for files, and a name-value map of init parameters.

  For the list of recognized init parameters, see `Turbine` class.

  Parameters:
    `path` - The web application root (i.e. the path for file lookup).
    `attributes` - Servlet container (or emulator) attributes.
    `initParams` - initialization parameters.

### TurbineXmlConfig

    public TurbineXmlConfig(String path,
                            Map<String,String> initParams)

See Also:
  `TurbineXmlConfig(String path, Map attributes, Map initParams)`

### TurbineXmlConfig

    public TurbineXmlConfig(String path,
                            String config)

  Constructs a TurbineXmlConfig. This is a specialized constructor that allows to configure Turbine easiliy in the common setups.

  Parameters:
    `path` - The web application root (i.e. the path for file lookup).
    `configuration` - the relative path to TurbineResources.xml file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.